﻿using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Client
{
    public static class Extensions
    {
        [DebuggerStepThrough]
        public static void Each<T>(this IEnumerable<T> that, Action<T> lambda)
        {
            foreach (T t in that)
            {
                lambda(t);
            }
        }
    }
}
