<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcBookmarkService.Models.Bookmark>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" runat="server">Bookmark Details: <%= Model.BookmarkID %></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Heading" runat="server">Bookmark Details: <%= Model.BookmarkID %></asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <br />
    <div class="bookmark">
        BookmarkID: <span class="bookmark-id"><%= Html.Encode(Model.BookmarkID) %></span><br />
        Title: <span class="bookmark-title"><%= Html.Encode(Model.Title) %></span><br />
        Url: <a class="bookmark-url-link" href="<%= Html.Encode(Model.Url) %>"><%= Html.Encode(Model.Url) %></a><br />
        Username: <%=Html.ActionLink(Model.Username, "BookmarksByUserIndex", "Bookmark", new { username=Model.Username }, new { @class="bookmark-username-link" }) %><br />
        Shared: <span class="bookmark-shared"><%= Html.Encode(Model.Shared) %></span><br />
        LastModified: <span class="bookmark-last-modified"><%= Html.Encode(String.Format("{0:g}", Model.LastModified)) %></span><br />
        Tags: <span class="bookmark-tags"><%= Html.Encode(Model.Tags) %></span><br />
        <ul class="tag-list">
        <% foreach (var item in Model.BookmarkTags)
           { %>
            <li><%=Html.ActionLink(item.Tag.Name, "BookmarksByTagIndex", "Bookmark", 
                    new { tag = item.Tag.Name }, new { @class = "bookmarks-with-tag-link" }) %></li>
        <% } %>
        </ul>
    </div>
    <div class="nav-links">
        <%=Html.ActionLink("Edit", "Edit", "Bookmark", 
            new { id=Model.BookmarkID }, new { @class="bookmark-edit-form-link" }) %> |
        <%=Html.ActionLink("Delete", "Delete", "Bookmark", 
            new { id=Model.BookmarkID }, new { @class="bookmark-delete-form-link" }) %>   
    </div>
    <br />    
</asp:Content>
