<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" runat="server">MVC Bookmark Service</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Heading" runat="server">MVC Bookmark Service</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Root (public) URI's:</h2>
    <ul class="nav-links">
        <li><%=Html.ActionLink("Register", "Register", "Account", null, new { @class = "regsiter-link" } )%></li>
        <li><%=Html.ActionLink("Logon", "Logon", "Account", null, new { @class = "logon-link" })%></li>
        <li><%=Html.ActionLink("Logoff", "Logoff", "Account", null, new { @class = "logoff-link" })%></li>
        <li><%=Html.ActionLink("Change Password", "ChangePassword", "Account", null, new { @class = "change-password-link" })%></li>
        <li><%= Html.ActionLink("Public Bookmarks", "BookmarkIndex", "Bookmark", null, new { @class = "public-bookmarks-link" })%></li>
        <li><%= Html.ActionLink("User Bookmarks", "BookmarksByUserIndex", "Bookmark", 
                new { username = HttpContext.Current.User.Identity.Name }, new { @class = "my-bookmarks-link"})%></li>
        <li><%= Html.ActionLink("Users", "UserIndex", "Bookmark", null, new { @class = "users-link" })%></li>
        <li><%= Html.ActionLink("Tags", "TagIndex", "Bookmark", null, new { @class = "tags-link" })%></li>
    </ul>
</asp:Content>
