﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" runat="server">Change Password</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Heading" runat="server">Change Password</asp:Content>
<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Change Password</h2>
    <p>
        Use the form below to change your password. New passwords are required to be a minimum of <%=Html.Encode(ViewData["PasswordLength"])%> characters in length.
    </p>
    <% using (Html.BeginForm()) { %>
        <p>
            <label for="currentPassword">Current password:</label><br />
            <%= Html.Password("currentPassword") %>
        </p>
        <p>
            <label for="newPassword">New password:</label><br />
            <%= Html.Password("newPassword") %>
        </p>
        <p>
            <label for="confirmPassword">Confirm new password:</label><br />
            <%= Html.Password("confirmPassword") %>
        </p>
        <p>
            <input type="submit" value="Change Password" />
        </p>
    <% } %>
</asp:Content>
