﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" runat="server">Register</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Heading" runat="server">Register</asp:Content>
<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Create a New Account</h2>
    <p>Use the form below to create a new account. Passwords are required to be a minimum of <%=Html.Encode(ViewData["PasswordLength"])%> characters in length.</p>
    <% using (Html.BeginForm()) { %>
        <p>
            <label for="username">Username:</label><br />
            <%= Html.TextBox("username") %>
        </p>
        <p>
            <label for="email">Email:</label><br />
            <%= Html.TextBox("email") %>
        </p>
        <p>
            <label for="password">Password:</label><br />
            <%= Html.Password("password") %>
        </p>
        <p>
            <label for="confirmPassword">Confirm password:</label><br />
            <%= Html.Password("confirmPassword") %>
        </p>
        <p>
            <input type="submit" value="Register" />
        </p>
    <% } %>
</asp:Content>

